Updates the default availability schedule for the specified user.
Weekly hours:
day and timesets to set recurring weekly availability.timesets array marks the day as unavailable.Special hours (date overrides):
special_hours to override availability for specific dates.date and timesets array.timesets array ([]) marks the date as fully unavailable (override to block the entire day).timesets (null) removes the override for that date, reverting it back to the regular weekly schedule.curl --request PATCH \
--url https://api.zeeg.me/v2/schedules/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "lena.meier@horizondigital.de",
"timezone": "Europe/Berlin",
"weekly_hours": [
{
"day": "Mon",
"timesets": [
[
"09:00",
"12:00"
],
[
"13:00",
"17:00"
]
]
},
{
"day": "Tue",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Wed",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Thu",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Fri",
"timesets": [
[
"09:00",
"15:00"
]
]
},
{
"day": "Sat",
"timesets": []
},
{
"day": "Sun",
"timesets": []
}
],
"special_hours": [
{
"date": "2026-04-21",
"timesets": [
[
"10:00",
"14:00"
]
]
},
{
"date": "2026-04-25",
"timesets": []
}
]
}
'{
"success": true,
"status": 200,
"resource": {
"uri": "https://api.zeeg.me/v2/schedules/Q1ZYo391da",
"uuid": "Q1ZYo391da",
"email": "lena.meier@horizondigital.de",
"title": "Working Hours",
"isDefault": true,
"timezone": "Europe/Berlin",
"weekly_hours": [
{
"day": "Mon",
"timesets": [
[
"09:00",
"12:00"
],
[
"13:00",
"17:00"
]
]
},
{
"day": "Tue",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Wed",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Thu",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Fri",
"timesets": [
[
"09:00",
"15:00"
]
]
},
{
"day": "Sat",
"timesets": []
},
{
"day": "Sun",
"timesets": []
}
],
"special_hours": [
{
"date": "2026-04-21",
"timesets": [
[
"10:00",
"14:00"
]
]
},
{
"date": "2026-04-25",
"timesets": []
}
],
"currentTime": "2026-04-10T08:30:00+02:00",
"createdAt": "2026-04-01T10:00:00.000000Z",
"updatedAt": "2026-04-10T08:30:00.000000Z"
}
}Email address of the user whose default schedule to update.
IANA timezone identifier. Set to null to keep the current timezone.
"Europe/Berlin"
Weekly availability hours.
Date-specific availability overrides.
Hide child attributes
OK
Hide child attributes
API resource URI for this schedule
Email address of the schedule owner
Display name of the schedule
Whether this is the default schedule
IANA timezone identifier
Current server time
Timestamp of creation
Timestamp of last update
curl --request PATCH \
--url https://api.zeeg.me/v2/schedules/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "lena.meier@horizondigital.de",
"timezone": "Europe/Berlin",
"weekly_hours": [
{
"day": "Mon",
"timesets": [
[
"09:00",
"12:00"
],
[
"13:00",
"17:00"
]
]
},
{
"day": "Tue",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Wed",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Thu",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Fri",
"timesets": [
[
"09:00",
"15:00"
]
]
},
{
"day": "Sat",
"timesets": []
},
{
"day": "Sun",
"timesets": []
}
],
"special_hours": [
{
"date": "2026-04-21",
"timesets": [
[
"10:00",
"14:00"
]
]
},
{
"date": "2026-04-25",
"timesets": []
}
]
}
'{
"success": true,
"status": 200,
"resource": {
"uri": "https://api.zeeg.me/v2/schedules/Q1ZYo391da",
"uuid": "Q1ZYo391da",
"email": "lena.meier@horizondigital.de",
"title": "Working Hours",
"isDefault": true,
"timezone": "Europe/Berlin",
"weekly_hours": [
{
"day": "Mon",
"timesets": [
[
"09:00",
"12:00"
],
[
"13:00",
"17:00"
]
]
},
{
"day": "Tue",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Wed",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Thu",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Fri",
"timesets": [
[
"09:00",
"15:00"
]
]
},
{
"day": "Sat",
"timesets": []
},
{
"day": "Sun",
"timesets": []
}
],
"special_hours": [
{
"date": "2026-04-21",
"timesets": [
[
"10:00",
"14:00"
]
]
},
{
"date": "2026-04-25",
"timesets": []
}
],
"currentTime": "2026-04-10T08:30:00+02:00",
"createdAt": "2026-04-01T10:00:00.000000Z",
"updatedAt": "2026-04-10T08:30:00.000000Z"
}
}